#include "main.h"

//A pointer to an array of keystates
Uint8 *key;
Uint8 keypressed[SDLK_LAST];

/*
 * Puts a pointer to the keyboard states in *key
 */
void inputinit() {
    key=SDL_GetKeyState(NULL);
}
/*
 * Polls the SDL events, currently only looks out for an SDL_QUIT
 */
void pollevents() {
	int i;
	for(i=0; i<SDLK_LAST; i++)
		keypressed[i] = FALSE;
    SDL_Event event;
    while(SDL_PollEvent(&event)) {          //whilst there are events in the queue
        switch(event.type) {       
            case SDL_QUIT:
                //Stop game running  (hmm, code smell, this wont quite outright will it :/)
                running=0;
                break;
    		case SDL_KEYDOWN:
    			keypressed[event.key.keysym.sym] = TRUE;
    			break;
        }
    }
}
